Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
InspectorWindow Class Reference

## Public Member Functions
| __init__ (self, inspector)
| createListWidget (self)
| createMenus (self)
| createPopupMenu (self, part, menuList)
| createTextWidgets (self)
| createViews (self)
| dive (self)
| evalCommand (self, event)
| fillList (self)
| inspect (self)
| inspectedObject (self)
| inspectorForSelectedPart (self)
| listSelectionChanged (self, event)
| open (self)
| pop (self)
| popOrDive (self, event)
| popupMenu (self, event)
| selectedIndex (self)
| selectedPart (self)
| setTitle (self)
| showHelp (self)
| topInspector (self)
| update (self)

## Public Attributes
| commandWidget
| evalCommand = 1)
| framePane = Pmw.PanedWidget(self.top, orient = HORIZONTAL)
list | inspectors = [inspector]
| listSelectionChanged
| menuBar = Menu(self.top)
| popOrDive = self: s.dive())
| popupMenu
| textPane = Pmw.PanedWidget(textWidgetsFrame, orient = VERTICAL)
| textWidget
| top = Toplevel()

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | inspector )

## Member Function Documentation

## ◆ createListWidget()

createListWidget | ( |  | self | ) |

## ◆ createMenus()

createMenus | ( |  | self | ) |

## ◆ createPopupMenu()

createPopupMenu | ( |  | self,
|  |  | part,
|  |  | menuList )

## ◆ createTextWidgets()

createTextWidgets | ( |  | self | ) |

## ◆ createViews()

createViews | ( |  | self | ) |

## ◆ dive()

dive | ( |  | self | ) |

## ◆ evalCommand()

evalCommand | ( |  | self,
|  |  | event )

    Eval text in commandWidget

## ◆ fillList()

fillList | ( |  | self | ) |

## ◆ inspect()

inspect | ( |  | self | ) |

## ◆ inspectedObject()

inspectedObject | ( |  | self | ) |

## ◆ inspectorForSelectedPart()

inspectorForSelectedPart | ( |  | self | ) |

## ◆ listSelectionChanged()

listSelectionChanged | ( |  | self,
|  |  | event )

## ◆ open()

open | ( |  | self | ) |

## ◆ pop()

pop | ( |  | self | ) |

## ◆ popOrDive()

popOrDive | ( |  | self,
|  |  | event )

    The list has been double-clicked. If the selection is 'self' then pop,
    otherwise dive into the selected part

## ◆ popupMenu()

popupMenu | ( |  | self,
|  |  | event )

## ◆ selectedIndex()

selectedIndex | ( |  | self | ) |

## ◆ selectedPart()

selectedPart | ( |  | self | ) |

## ◆ setTitle()

setTitle | ( |  | self | ) |

## ◆ showHelp()

showHelp | ( |  | self | ) |

## ◆ topInspector()

topInspector | ( |  | self | ) |

## ◆ update()

update | ( |  | self | ) |

## Member Data Documentation

## ◆ commandWidget

commandWidget

Initial value:
= Pmw.ScrolledText(
commandFrame, vscrollmode = 'static')

## ◆ evalCommand

evalCommand = 1)

## ◆ framePane

framePane = Pmw.PanedWidget(self.top, orient = HORIZONTAL)

## ◆ inspectors

inspectors = [inspector]

## ◆ listSelectionChanged

listSelectionChanged

## ◆ menuBar

menuBar = Menu(self.top)

## ◆ popOrDive

popOrDive = self: s.dive())

## ◆ popupMenu

popupMenu

## ◆ textPane

textPane = Pmw.PanedWidget(textWidgetsFrame, orient = VERTICAL)

## ◆ textWidget

textWidget

Initial value:
= Pmw.ScrolledText(
textFrame, vscrollmode = 'static', text_state = 'disabled')

## ◆ top

top = Toplevel()